Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.crosswire.common.xml
Enum XMLFeature

    java.lang.Object
      java.lang.Enum<XMLFeature>
          org.crosswire.common.xml.XMLFeature

All Implemented Interfaces:
  Serializable, Comparable<XMLFeature>

    public enum XMLFeature

extends Enum<XMLFeature>

Wraps an XML Feature. The "known" set of XML Features is found in XMLFeatureSet.

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Enum Constant Summary
`DYNAMIC_VALIDATION` Dynamic validation feature id
`LOAD_EXTERNAL_DTD` Load external DTD feature id
`NAMESPACE_PREFIX` Namespace prefixes feature id
`NAMESPACES` Namespaces feature id
`SCHEMA_FULL_CHECKING` Schema full checking feature id
`SCHEMA_VALIDATION` Schema validation feature id
`VALIDATE_ANNOTATIONS` Validate schema annotations feature id
`VALIDATION` Validation feature id
`XINCLUDE` XInclude feature id
`XINCLUDE_FIXUP_BASE_URIS` XInclude fixup base URIs feature id
`XINCLUDE_FIXUP_LANGUAGE` XInclude fixup language feature id

Field Summary
`private String` | `control`
`private boolean` | `state`

Method Summary
`static XMLFeature` | `fromString(String name)` Lookup method to convert from a String
`String` | `getControl()`
`boolean` | `getState()` What state should the feature be set to.
`String` | `toString()`
`static XMLFeature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XMLFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NAMESPACES

    public static final XMLFeature NAMESPACES

  Namespaces feature id

### NAMESPACE_PREFIX

    public static final XMLFeature NAMESPACE_PREFIX

  Namespace prefixes feature id

### VALIDATION

    public static final XMLFeature VALIDATION

  Validation feature id

### SCHEMA_VALIDATION

    public static final XMLFeature SCHEMA_VALIDATION

  Schema validation feature id

### SCHEMA_FULL_CHECKING

    public static final XMLFeature SCHEMA_FULL_CHECKING

  Schema full checking feature id

### VALIDATE_ANNOTATIONS

    public static final XMLFeature VALIDATE_ANNOTATIONS

  Validate schema annotations feature id

### DYNAMIC_VALIDATION

    public static final XMLFeature DYNAMIC_VALIDATION

  Dynamic validation feature id

### LOAD_EXTERNAL_DTD

    public static final XMLFeature LOAD_EXTERNAL_DTD

  Load external DTD feature id

### XINCLUDE

    public static final XMLFeature XINCLUDE

  XInclude feature id

### XINCLUDE_FIXUP_BASE_URIS

    public static final XMLFeature XINCLUDE_FIXUP_BASE_URIS

  XInclude fixup base URIs feature id

### XINCLUDE_FIXUP_LANGUAGE

    public static final XMLFeature XINCLUDE_FIXUP_LANGUAGE

  XInclude fixup language feature id

Field Detail

### control

    private String control

### state

    private boolean state

Method Detail

### values

    public static XMLFeature[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XMLFeature c : XMLFeature.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XMLFeature valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getControl

    public String getControl()

  Returns:
    the control associated with this feature

### getState

    public boolean getState()

  What state should the feature be set to.

  Returns:
    the state of the feature

### fromString

    public static XMLFeature fromString(String name)

  Lookup method to convert from a String

  Parameters:
    `name` - the name of the control feature
  Returns:
    the XML Feature

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<XMLFeature>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD